Summary: pluggable authentication module for SMB password database
Name: pam_smbpass
Version: 0.5
Release: 1.2
Copyright: GPL
Group: Base
#URL: http://web.dodds.net/~vorlon/pam/
Source: ftp://ftp.dodds.net/pub/pam/pam_smbpass-%{PACKAGE_VERSION}.tgz
Packager: Stephen Langasek <vorlon@dodds.net>
BuildRoot: /tmp/smbpass-root
Requires: pam >= 0.54

%description
pam_smbpass is a PAM module that allows stackable updating and/or querying
of an SMB password database stored on the local hard drive.  Useful for
keeping samba passwords synchronised with a traditional unix password
database or other database (NIS, etc).

%changelog
* Sun Jun 25 2000 David Summers <david@summersoft.fay.ar.us>
Release 0.5-1.2:
   Fixed file ownership problem.
   Fixed pam_smbpass.so permissions problem.

* Tue Jan 11 2000 David Summers <dws@summersoft.fay.ar.us>
Release 0.5-1.1: Added documentation

%prep
%setup

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib/security
install -m644 pam_smbpass.so $RPM_BUILD_ROOT/lib/security

strip $RPM_BUILD_ROOT/lib/security/pam_smbpass.so
chmod a+x $RPM_BUILD_ROOT/lib/security/pam_smbpass.so

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc ANNOUNCEMENT CHANGELOG COPYING README TODO
/lib/security/pam_smbpass.so
